<div class="text-layout">
  <h1>Pipes Basicos</h1>
  <p>Piples incluidos en Angular - usualmente en Common Module</p>
</div>
<hr>

<div class="grid">
  <div class="col-4">
    <p-card
      header="uppercase"
      [subheader]="nombreLower"
    >
      {{ nombreLower | uppercase }}

    </p-card>
  </div>

  <div class="col-4">
    <p-card
      header="lowercase"
      [subheader]="nombreUpper"
    >
      {{ nombreUpper | lowercase }}
    </p-card>
  </div>

  <div class="col-4">
    <p-card
      header="titlecase"
      [subheader]="nombreCompleto"
    >
      {{ nombreCompleto | titlecase }}
    </p-card>
  </div>
</div>

<div class="text-layout">
  <h1>Date | Fecha</h1>
  <p>Piples para mostrar las fechas</p>
</div>

<hr>

<div class="grid">
  <div class="col-6">
    <p-card>
      <ul>
        <li>fecha</li>
        <li>fecha | date</li>
        <li>fecha | date:'short'</li>
        <li>fecha | date:'long'</li>
        <li>fecha | date:'dd/MM/yy'</li>
      </ul>
      <hr>
      <ul>
        <li>fecha | date:'long':'GMT-6'</li>
        <li>fecha | date:'long':'GMT-6':'en'</li>
        <li>fecha | date:'long':'GMT-6':'fr'</li>
      </ul>
    </p-card>
  </div>
  <div class="col-6">
    <p-card>
      <ul>
        <li>{{fecha}}</li>
        <li>{{fecha | date}}</li>
        <li>{{fecha | date:'short'}}</li>
        <li>{{fecha | date:'long'}}</li>
        <li>{{fecha | date:'dd/MM/yy'}}</li>
      </ul>
      <hr>
      <ul>
        <li>{{fecha | date:'long':'GMT-6'}}</li>
        <li>{{fecha | date:'long':'GMT-6':'en'}}</li>
        <li>{{fecha | date:'long':'GMT-6':'fr'}}</li>
      </ul>
    </p-card>
  </div>
</div>
